import React from 'react'
import { Input, Popover } from 'antd'
import { QrcodeOutlined } from '@ant-design/icons'
import QRcode from 'qrcode.react'

const Coding = (props) => {

  const { value, onChange } = props


  const content = (
    <div>
      {/* <QRcode value={<div style={{ color: 'red' }}>123</div>} /> */}
      <QRcode src='https://www.runoob.com/w3cnote/javascript-qrcodejs-library.html' />
    </div>
  )

  return (
    <div>
      <Input
        addonAfter={
          <Popover content={content}>
            <QrcodeOutlined />
          </Popover>
        }
        onChange={e => onChange(e.target.value)}
      />
    </div>
  )

}

export default Coding